// Listen for installation
chrome.runtime.onInstalled.addListener(() => {
  console.log("simplyaboveaverage Shopping Assistant installed")

  // Initialize storage
  chrome.storage.local.set({
    authToken: null,
    user: null,
    currentProduct: null,
  })
})

// Listen for messages from content script or popup
chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
  if (request.action === "extractProductInfo") {
    // This will be handled by the content script
    sendResponse({ success: true })
    return true
  }

  if (request.action === "saveProduct") {
    // Store the product info
    chrome.storage.local.set({ currentProduct: request.product }, () => {
      sendResponse({ success: true })
    })
    return true
  }
})
